# Ecommerce API — Customers

> Canonical URL: https://developers.apideck.com/apis/ecommerce/reference#tag/Customers

This document contains every operation on the `Customers` resource.

---

# List Customers

> **Ecommerce API** · `GET /ecommerce/customers`
> Canonical URL: https://developers.apideck.com/apis/ecommerce/reference#tag/Customers/operation/customersAll

List Customers

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `cursor` | query | `string` | No | Cursor to start from. You can find cursors for next/previous pages in the meta.cursors property of the response. |
| `limit` | query | `integer` | No | Number of results to return. Minimum 1, Maximum 200, Default 20 |
| `filter` | query | `object` | No | Apply filters |
| `pass_through` | query | `object` | No | Optional unmapped key/values that will be passed through to downstream as query parameters. Ie: ?pass_through[search]=leads becomes ?search=leads |
| `fields` | query | `string` | No | The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation. <br /><br />Example: `fields=name,email,addresses.city`<br /><br />In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded. |

### Responses

#### 200 — Customers

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `shopify`
- `resource` `string` **required** — Unified API resource name — example: `customers`
- `operation` `string` **required** — Operation performed — example: `all`
- `data` `array of object` **required**
  - `id` `string` **required** — A unique identifier for an object. — example: `12345`
  - `name` `string` — Full name of the customer — example: `John Doe`
  - `first_name` `string` — First name of the customer — example: `John`
  - `last_name` `string` — Last name of the customer — example: `Doe`
  - `company_name` `string` — Company name of the customer — example: `Acme Inc.`
  - `status` `string` — The current status of the customer — enum: `active`, `archived` — example: `active`
  - `currency` `string` — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
  - `emails` `array of object` — An array of email addresses for the customer.
    - `id` `string` — Unique identifier for the email address — example: `123`
    - `email` `string` **required** — Email address — format: `email` — example: `elon@musk.com`
    - `type` `string` — Email type — enum: `primary`, `secondary`, `work`, `personal`, `billing`, `other` — example: `primary`
  - `phone_numbers` `array of object` — An array of phone numbers for the customer.
    - `id` `string` — Unique identifier of the phone number — example: `12345`
    - `country_code` `string` — The country code of the phone number, e.g. +1 — example: `1`
    - `area_code` `string` — The area code of the phone number, e.g. 323 — example: `323`
    - `number` `string` **required** — The phone number — example: `111-111-1111`
    - `extension` `string` — The extension of the phone number — example: `105`
    - `type` `string` — The type of phone number — enum: `primary`, `secondary`, `home`, `work`, `office`, `mobile`, `assistant`, `fax`, `direct-dial-in`, `personal`, `billing`, `other` — example: `primary`
  - `addresses` `array of object` — An array of addresses for the customer.
    - `type` `string` — enum: `billing`, `shipping`, `other` — example: `billing`
    - `id` `string` — A unique identifier for an object. — example: `12345`
    - `line1` `string` — First line of the street address of the customer — example: `Main street`
    - `line2` `string` — Second line of the street address of the customer — example: `apt #`
    - `city` `string` — City of the customer — example: `Anytown`
    - `state` `string` — State of the customer — example: `Ohio`
    - `postal_code` `string` — Postal code of the customer — example: `12345`
    - `country` `string` — Country of the customer — example: `US`
  - `orders` `array of object`
    - `id` `string` — A unique identifier for an object. — example: `12345`
    - `total` `string` — The total amount of the order. — example: `199.99`
    - `status` `string` — Current status of the order. — enum: `active`, `completed`, `cancelled`, `archived`, `unknown`, `other` — example: `active`
  - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
  - `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided
- `meta` `object` — Response metadata
  - `items_on_page` `integer` — Number of items returned in the data property of the response — example: `50`
  - `cursors` `object` — Cursors to navigate to previous or next pages through the API
    - `previous` `string` — Cursor to navigate to the previous page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjE=`
    - `current` `string` — Cursor to navigate to the current page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjI=`
    - `next` `string` — Cursor to navigate to the next page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjM=`
- `links` `object` — Links to navigate to previous or next pages through the API
  - `previous` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjE%3D`
  - `current` `string` — Link to navigate to the current page through the API — example: `https://unify.apideck.com/crm/companies`
  - `next` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjM`

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Get Customer

> **Ecommerce API** · `GET /ecommerce/customers/{id}`
> Canonical URL: https://developers.apideck.com/apis/ecommerce/reference#tag/Customers/operation/customersOne

Get Customer

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `fields` | query | `string` | No | The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation. <br /><br />Example: `fields=name,email,addresses.city`<br /><br />In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded. |

### Responses

#### 200 — Customers

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `shopify`
- `resource` `string` **required** — Unified API resource name — example: `customers`
- `operation` `string` **required** — Operation performed — example: `one`
- `data` `object` **required**
  - `id` `string` **required** — A unique identifier for an object. — example: `12345`
  - `name` `string` — Full name of the customer — example: `John Doe`
  - `first_name` `string` — First name of the customer — example: `John`
  - `last_name` `string` — Last name of the customer — example: `Doe`
  - `company_name` `string` — Company name of the customer — example: `Acme Inc.`
  - `status` `string` — The current status of the customer — enum: `active`, `archived` — example: `active`
  - `currency` `string` — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
  - `emails` `array of object` — An array of email addresses for the customer.
    - `id` `string` — Unique identifier for the email address — example: `123`
    - `email` `string` **required** — Email address — format: `email` — example: `elon@musk.com`
    - `type` `string` — Email type — enum: `primary`, `secondary`, `work`, `personal`, `billing`, `other` — example: `primary`
  - `phone_numbers` `array of object` — An array of phone numbers for the customer.
    - `id` `string` — Unique identifier of the phone number — example: `12345`
    - `country_code` `string` — The country code of the phone number, e.g. +1 — example: `1`
    - `area_code` `string` — The area code of the phone number, e.g. 323 — example: `323`
    - `number` `string` **required** — The phone number — example: `111-111-1111`
    - `extension` `string` — The extension of the phone number — example: `105`
    - `type` `string` — The type of phone number — enum: `primary`, `secondary`, `home`, `work`, `office`, `mobile`, `assistant`, `fax`, `direct-dial-in`, `personal`, `billing`, `other` — example: `primary`
  - `addresses` `array of object` — An array of addresses for the customer.
    - `type` `string` — enum: `billing`, `shipping`, `other` — example: `billing`
    - `id` `string` — A unique identifier for an object. — example: `12345`
    - `line1` `string` — First line of the street address of the customer — example: `Main street`
    - `line2` `string` — Second line of the street address of the customer — example: `apt #`
    - `city` `string` — City of the customer — example: `Anytown`
    - `state` `string` — State of the customer — example: `Ohio`
    - `postal_code` `string` — Postal code of the customer — example: `12345`
    - `country` `string` — Country of the customer — example: `US`
  - `orders` `array of object`
    - `id` `string` — A unique identifier for an object. — example: `12345`
    - `total` `string` — The total amount of the order. — example: `199.99`
    - `status` `string` — Current status of the order. — enum: `active`, `completed`, `cancelled`, `archived`, `unknown`, `other` — example: `active`
  - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
  - `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---
